//varying vec2 vtc;

varying vec4 magic;
varying vec3 normal;

void main(void)
{
	//vtc = sign(gl_Vertex.xy)*0.5 + vec2(0.5, 0.5);
	normal = normalize(gl_NormalMatrix * gl_Normal);

	magic = ftransform();
	gl_Position = magic;

	gl_FrontColor  = gl_Color;
}	